Bug 1115499 - [RFE] Allow users to enable X and disable all in the same line
Summary: [RFE] Allow users to enable X and disable all in the same line
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Devan Goodwin
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-07-02 13:26 UTC by Bryan Kearney
Modified: 2014-10-14 07:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Allow users to enable X and disable all in the same line Reason: Reduce the number of steps required by the user to perform an action. Result: User can now disable and enable repos all on the same line.
Clone Of:
Environment:
Last Closed: 2014-10-14 07:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description Bryan Kearney 2014-07-02 13:26:33 UTC
Many documents using subscription manager have these steps:

subscription-manager repos --disable="*"
subscription-manager repos --enable=X, --enable=Y, --enable=Z

It would be nice to do this in a single command.

Comment 1 Devan Goodwin 2014-07-09 14:34:43 UTC
Will assume we process them in the order they're given, otherwise we'd have a bit of a logic problem.

Comment 2 Devan Goodwin 2014-07-14 13:31:04 UTC
Fixed in subscription-manager.git master: 034a799caba16bab23689899489412d90c422d90

Will appear in: subscription-manager-1.12.8-1

Comment 3 Bryan Kearney 2014-07-30 19:24:17 UTC
Acking 7.1

Comment 4 John Sefler 2014-08-13 20:34:19 UTC
Moving back to rhel6.6 since dev appears to have implemented it in comment 2 which will be delivered on rhel6.6.

Comment 5 John Sefler 2014-08-22 19:21:43 UTC
The ability to specify multiple values and wildcards in one line is already implemented in RHEL6.5, but the order that the --enable/--disable requests are processed is not ideal...

[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.9.11-1.el6.x86_64

[root@jsefler-6 ~]# subscription-manager repos --enable=awesomeos-* --disable=awesomeos-* --enable=awesomeos-i686 --disable=awesomeos-ia64
Repo awesomeos-x86_64 is enabled for this system.
Repo awesomeos-modifier is enabled for this system.
Repo awesomeos-ppc is enabled for this system.
Repo awesomeos-ppc64 is enabled for this system.
Repo awesomeos-s390x is enabled for this system.
Repo awesomeos-ia64 is enabled for this system.
Repo awesomeos-i686 is enabled for this system.
Repo awesomeos-x86_64-i386-content is enabled for this system.
Repo awesomeos-x86_64-only-content is enabled for this system.
Repo awesomeos-i686 is enabled for this system.
Repo awesomeos-x86_64 is disabled for this system.
Repo awesomeos-modifier is disabled for this system.
Repo awesomeos-ppc is disabled for this system.
Repo awesomeos-ppc64 is disabled for this system.
Repo awesomeos-s390x is disabled for this system.
Repo awesomeos-ia64 is disabled for this system.
Repo awesomeos-i686 is disabled for this system.
Repo awesomeos-x86_64-i386-content is disabled for this system.
Repo awesomeos-x86_64-only-content is disabled for this system.
Repo awesomeos-ia64 is disabled for this system.
[root@jsefler-6 ~]# 

^ Notice that all of the --enable requests are processed before the --disable requests.  This may not be the desired order.

Comment 6 Rehana 2014-08-26 14:17:34 UTC
Retested on,

 rpm -qa subscription* python-rhsm
subscription-manager-gui-1.12.13-1.el6.x86_64
subscription-manager-firstboot-1.12.13-1.el6.x86_64
python-rhsm-1.12.5-1.el6.x86_64
subscription-manager-migration-1.12.13-1.el6.x86_64
subscription-manager-migration-data-2.0.12-1.el6.noarch
subscription-manager-debuginfo-1.12.13-1.el6.x86_64
subscription-manager-1.12.13-1.el6.x86_64


Below is the two set of queries, to demonstrate that the sub-man command request  with multiple values and wildcards in one line is now giving correct results.

1)# subscription-manager repos --enable=rhel-6-client* --enable=rhel-client-rhscl* --disable=rhel-client-rhscl-6-beta-rpms
Repo 'rhel-6-client-rhev-agent-debug-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-source-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-source-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-source-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-debug-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-debug-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-rpms' is disabled for this system.


# subscription-manager repos --disable=rhel-client-rhscl-6-beta-rpms --enable=rhel-6-client* --enable=rhel-client-rhscl*
Repo 'rhel-6-client-rhev-agent-debug-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-source-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-source-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-source-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-debug-rpms' is enabled for this system.
Repo 'rhel-6-client-rhev-agent-beta-debug-rpms' is enabled for this system.
Repo 'rhel-client-rhscl-6-beta-rpms' is enabled for this system

#Verifing the result on `yum repolist all` 

# yum repolist all
Loaded plugins: product-id, refresh-packagekit, security, subscription-manager
repo id                                                repo name                                                                           status
rhel-6-client-rhev-agent-beta-debug-rpms               Red Hat Enterprise Virtualization Agents for RHEL 6 Client Beta (Debug RPMs)        enabled:  0
rhel-6-client-rhev-agent-beta-rpms                     Red Hat Enterprise Virtualization Agents for RHEL 6 Client Beta (RPMs)              enabled:  0
rhel-6-client-rhev-agent-beta-source-rpms              Red Hat Enterprise Virtualization Agents for RHEL 6 Client Beta (Source RPMs)       enabled:  0
rhel-6-client-rhev-agent-debug-rpms                    Red Hat Enterprise Virtualization Agents for RHEL 6 Client (Debug RPMs)             enabled: 12
rhel-6-client-rhev-agent-rpms                          Red Hat Enterprise Virtualization Agents for RHEL 6 Client (RPMs)                   enabled: 54
rhel-6-client-rhev-agent-source-rpms                   Red Hat Enterprise Virtualization Agents for RHEL 6 Client (Source RPMs)            enabled: 18
rhel-6-desktop-beta-debug-rpms                         Red Hat Enterprise Linux 6 Desktop Beta (Debug RPMs)                                disabled
rhel-6-desktop-beta-rpms                               Red Hat Enterprise Linux 6 Desktop Beta (RPMs)                                      disabled
rhel-6-desktop-beta-source-rpms                        Red Hat Enterprise Linux 6 Desktop Beta (Source RPMs)                               disabled
rhel-6-desktop-debug-rpms                              Red Hat Enterprise Linux 6 Desktop (Debug RPMs)                                     disabled
rhel-6-desktop-extras-debuginfo                        Red Hat Enterprise Linux 6 Desktop - Extras (Debug RPMs)                            disabled
rhel-6-desktop-extras-rpms                             Red Hat Enterprise Linux 6 Desktop - Extras (RPMs)                                  disabled
rhel-6-desktop-extras-source-rpms                      Red Hat Enterprise Linux 6 Desktop - Extras (Source RPMs)                           disabled
rhel-6-desktop-fastrack-debug-rpms                     Red Hat Enterprise Linux 6 Desktop - Fastrack (Debug RPMs)                          disabled
rhel-6-desktop-fastrack-rpms                           Red Hat Enterprise Linux 6 Desktop - Fastrack (RPMs)                                disabled
rhel-6-desktop-fastrack-source-rpms                    Red Hat Enterprise Linux 6 Desktop - Fastrack (Source RPMs)                         disabled
rhel-6-desktop-optional-beta-debug-rpms                Red Hat Enterprise Linux 6 Desktop - Optional Beta (Debug RPMs)                     disabled
rhel-6-desktop-optional-beta-rpms                      Red Hat Enterprise Linux 6 Desktop - Optional Beta (RPMs)                           disabled
rhel-6-desktop-optional-beta-source-rpms               Red Hat Enterprise Linux 6 Desktop - Optional Beta (Source RPMs)                    disabled
rhel-6-desktop-optional-debug-rpms                     Red Hat Enterprise Linux 6 Desktop - Optional (Debug RPMs)                          disabled
rhel-6-desktop-optional-fastrack-debug-rpms            Red Hat Enterprise Linux 6 Desktop - Optional Fastrack (Debug RPMs)                 disabled
rhel-6-desktop-optional-fastrack-rpms                  Red Hat Enterprise Linux 6 Desktop - Optional Fastrack (RPMs)                       disabled
rhel-6-desktop-optional-fastrack-source-rpms           Red Hat Enterprise Linux 6 Desktop - Optional Fastrack (Source RPMs)                disabled
rhel-6-desktop-optional-rpms                           Red Hat Enterprise Linux 6 Desktop - Optional (RPMs)                                disabled
rhel-6-desktop-optional-source-rpms                    Red Hat Enterprise Linux 6 Desktop - Optional (Source RPMs)                         disabled
rhel-6-desktop-rh-common-beta-debug-rpms               Red Hat Enterprise Linux 6 Desktop - RH Common Beta (Debug RPMs)                    disabled
rhel-6-desktop-rh-common-beta-rpms                     Red Hat Enterprise Linux 6 Desktop - RH Common Beta (RPMs)                          disabled
rhel-6-desktop-rh-common-beta-source-rpms              Red Hat Enterprise Linux 6 Desktop - RH Common Beta (Source RPMs)                   disabled
rhel-6-desktop-rh-common-debug-rpms                    Red Hat Enterprise Linux 6 Desktop - RH Common (Debug RPMs)                         disabled
rhel-6-desktop-rh-common-rpms                          Red Hat Enterprise Linux 6 Desktop - RH Common (RPMs)                               disabled
rhel-6-desktop-rh-common-source-rpms                   Red Hat Enterprise Linux 6 Desktop - RH Common (Source RPMs)                        disabled
rhel-6-desktop-rhn-tools-beta-debug-rpms               RHN Tools for Red Hat Enterprise Linux 6 Desktop Beta (Debug RPMs)                  disabled
rhel-6-desktop-rhn-tools-beta-rpms                     RHN Tools for Red Hat Enterprise Linux 6 Desktop Beta (RPMs)                        disabled
rhel-6-desktop-rhn-tools-beta-source-rpms              RHN Tools for Red Hat Enterprise Linux 6 Desktop Beta (Source RPMs)                 disabled
rhel-6-desktop-rhn-tools-debug-rpms                    RHN Tools for Red Hat Enterprise Linux 6 Desktop (Debug RPMs)                       disabled
rhel-6-desktop-rhn-tools-rpms                          RHN Tools for Red Hat Enterprise Linux 6 Desktop (RPMs)                             disabled
rhel-6-desktop-rhn-tools-source-rpms                   RHN Tools for Red Hat Enterprise Linux 6 Desktop (Source RPMs)                      disabled
rhel-6-desktop-rpms                                    Red Hat Enterprise Linux 6 Desktop (RPMs)                                           disabled
rhel-6-desktop-source-rpms                             Red Hat Enterprise Linux 6 Desktop (Source RPMs)                                    disabled
rhel-6-desktop-supplementary-beta-debuginfo            Red Hat Enterprise Linux 6 Desktop - Supplementary Beta (Debug RPMs)                disabled
rhel-6-desktop-supplementary-beta-rpms                 Red Hat Enterprise Linux 6 Desktop - Supplementary Beta (RPMs)                      disabled
rhel-6-desktop-supplementary-beta-source-rpms          Red Hat Enterprise Linux 6 Desktop - Supplementary Beta (Source RPMs)               disabled
rhel-6-desktop-supplementary-debuginfo                 Red Hat Enterprise Linux 6 Desktop - Supplementary (Debug RPMs)                     disabled
rhel-6-desktop-supplementary-rpms                      Red Hat Enterprise Linux 6 Desktop - Supplementary (RPMs)                           disabled
rhel-6-desktop-supplementary-source-rpms               Red Hat Enterprise Linux 6 Desktop - Supplementary (Source RPMs)                    disabled
rhel-6-desktop-thirdparty-oracle-java-beta-rpms        Red Hat Enterprise Linux 6 Desktop - Oracle Java Beta (RPMs)                        disabled
rhel-6-desktop-thirdparty-oracle-java-beta-source-rpms Red Hat Enterprise Linux 6 Desktop - Oracle Java Beta (Source RPMs)                 disabled
rhel-6-desktop-thirdparty-oracle-java-rpms             Red Hat Enterprise Linux 6 Desktop - Oracle Java (RPMs)                             disabled
rhel-6-desktop-thirdparty-oracle-java-source-rpms      Red Hat Enterprise Linux 6 Desktop - Oracle Java (Source RPMs)                      disabled
rhel-atomic-preview-source-rpms                        Red Hat Enterprise Linux Atomic Host Preview (Source RPMs)                          disabled
rhel-client-dts-6-rhb-debug-rpms                       Red Hat Developer Toolset RHB Debug RPMs for Red Hat Enterprise Linux 6 Client      disabled
rhel-client-dts-6-rhb-rpms                             Red Hat Developer Toolset RHB RPMs for Red Hat Enterprise Linux 6 Client            disabled
rhel-client-dts-6-rhb-source-rpms                      Red Hat Developer Toolset RHB Source RPMs for Red Hat Enterprise Linux 6 Client     disabled
rhel-client-rhscl-6-beta-debug-rpms                    Red Hat Software Collections Beta Debug RPMs for Red Hat Enterprise Linux 6 Client  enabled:  0
rhel-client-rhscl-6-beta-rpms                          Red Hat Software Collections Beta RPMs for Red Hat Enterprise Linux 6 Client        enabled:  0
rhel-client-rhscl-6-beta-source-rpms                   Red Hat Software Collections Beta Source RPMs for Red Hat Enterprise Linux 6 Client enabled:  0
rhel-source                                            Red Hat Enterprise Linux 6Client - x86_64 - Source                                  disabled
rhel-source-beta                                       Red Hat Enterprise Linux 6Client Beta - x86_64 - Source                             disabled


Marking "Verified"

Comment 7 errata-xmlrpc 2014-10-14 07:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.